org.apache.poi.xwpf.usermodel

## Enum UnderlinePatterns

- java.lang.Object
- - java.lang.Enum<UnderlinePatterns>
  - - org.apache.poi.xwpf.usermodel.UnderlinePatterns

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UnderlinePatterns>

      public enum UnderlinePatterns
      extends java.lang.Enum<UnderlinePatterns>

  Specifies the types of patterns which may be used to create the underline applied beneath the text in a run.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH` Specifies an underline consisting of a dashed line beneath all characters in this run.
    `DASH_DOT_DOT_HEAVY` Specifies an underline consisting of a series of thick dash, dot, dot characters beneath all characters in this run.
    `DASH_DOT_HEAVY` Specifies an underline consisting of a series of thick dash, dot characters beneath all characters in this run.
    `DASH_LONG` Specifies an underline consisting of long dashed characters beneath all characters in this run.
    `DASH_LONG_HEAVY` Specifies an underline consisting of thick long dashed characters beneath all characters in this run.
    `DASHED_HEAVY` Specifies an underline consisting of a series of thick dashes beneath all characters in this run.
    `DOT_DASH` Specifies an underline consisting of a series of dash, dot characters beneath all characters in this run.
    `DOT_DOT_DASH` Specifies an underline consisting of a series of dash, dot, dot characters beneath all characters in this run.
    `DOTTED` Specifies an underline consisting of a series of dot characters beneath all characters in this run.
    `DOTTED_HEAVY` Specifies an underline consisting of a series of thick dot characters beneath all characters in this run.
    `DOUBLE` Specifies an underline consisting of two lines beneath all characters in this run
    `NONE` Specifies no underline beneath this run.
    `SINGLE` Specifies an underline consisting of a single line beneath all characters in this run.
    `THICK` Specifies an underline consisting of a single thick line beneath all characters in this run.
    `WAVE` Specifies an underline consisting of a single wavy line beneath all characters in this run.
    `WAVY_DOUBLE` Specifies an underline consisting of a pair of wavy lines beneath all characters in this run.
    `WAVY_HEAVY` Specifies an underline consisting of a single thick wavy line beneath all characters in this run.
    `WORDS` Specifies an underline consisting of a single line beneath all non-space characters in the run.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static UnderlinePatterns` | `valueOf(int type)`
    `static UnderlinePatterns` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UnderlinePatterns[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final UnderlinePatterns SINGLE

      Specifies an underline consisting of a single line beneath all characters in this run.

    - #### WORDS

          public static final UnderlinePatterns WORDS

      Specifies an underline consisting of a single line beneath all non-space characters in the run. There shall be no underline beneath any space character (breaking or non-breaking).

    - #### DOUBLE

          public static final UnderlinePatterns DOUBLE

      Specifies an underline consisting of two lines beneath all characters in this run

    - #### THICK

          public static final UnderlinePatterns THICK

      Specifies an underline consisting of a single thick line beneath all characters in this run.

    - #### DOTTED

          public static final UnderlinePatterns DOTTED

      Specifies an underline consisting of a series of dot characters beneath all characters in this run.

    - #### DOTTED_HEAVY

          public static final UnderlinePatterns DOTTED_HEAVY

      Specifies an underline consisting of a series of thick dot characters beneath all characters in this run.

    - #### DASH

          public static final UnderlinePatterns DASH

      Specifies an underline consisting of a dashed line beneath all characters in this run.

    - #### DASHED_HEAVY

          public static final UnderlinePatterns DASHED_HEAVY

      Specifies an underline consisting of a series of thick dashes beneath all characters in this run.

    - #### DASH_LONG

          public static final UnderlinePatterns DASH_LONG

      Specifies an underline consisting of long dashed characters beneath all characters in this run.

    - #### DASH_LONG_HEAVY

          public static final UnderlinePatterns DASH_LONG_HEAVY

      Specifies an underline consisting of thick long dashed characters beneath all characters in this run.

    - #### DOT_DASH

          public static final UnderlinePatterns DOT_DASH

      Specifies an underline consisting of a series of dash, dot characters beneath all characters in this run.

    - #### DASH_DOT_HEAVY

          public static final UnderlinePatterns DASH_DOT_HEAVY

      Specifies an underline consisting of a series of thick dash, dot characters beneath all characters in this run.

    - #### DOT_DOT_DASH

          public static final UnderlinePatterns DOT_DOT_DASH

      Specifies an underline consisting of a series of dash, dot, dot characters beneath all characters in this run.

    - #### DASH_DOT_DOT_HEAVY

          public static final UnderlinePatterns DASH_DOT_DOT_HEAVY

      Specifies an underline consisting of a series of thick dash, dot, dot characters beneath all characters in this run.

    - #### WAVE

          public static final UnderlinePatterns WAVE

      Specifies an underline consisting of a single wavy line beneath all characters in this run.

    - #### WAVY_HEAVY

          public static final UnderlinePatterns WAVY_HEAVY

      Specifies an underline consisting of a single thick wavy line beneath all characters in this run.

    - #### WAVY_DOUBLE

          public static final UnderlinePatterns WAVY_DOUBLE

      Specifies an underline consisting of a pair of wavy lines beneath all characters in this run.

    - #### NONE

          public static final UnderlinePatterns NONE

      Specifies no underline beneath this run.

  - ### Method Detail

    - #### values

          public static UnderlinePatterns[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnderlinePatterns c : UnderlinePatterns.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnderlinePatterns valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static UnderlinePatterns valueOf(int type)

    - #### getValue

          public int getValue()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.